    import ChampionMasteryEndpoint from 'kayn/lib/Endpoints/ChampionMasteryEndpoint.js'

public class | source

# ChampionMasteryEndpoint

#### Extends:

Endpoint~Endpoint → ChampionMasteryEndpoint

## Constructor Summary

Public Constructor
public | constructor() |

## Member Summary

Public Members
public | config: * |
public | limiter: * |
public | serviceName: string |

## Method Summary

Public Methods
public | get(summonerID: number): ChampionMastery.get.inner Get a champion mastery by player ID and champion ID. |
public | list(summonerID: number): * Get all champion mastery entries sorted by number of champion points descending. |
public | totalScore(summonerID: number): * Get all champion mastery entries sorted by number of champion points descending. |

## Public Constructors

### public constructor() source

## Public Members

### public config: * source

### public limiter: * source

### public serviceName: string source

## Public Methods

### public get(summonerID: number): ChampionMastery.get.inner source

Get a champion mastery by player ID and champion ID. Returns a function that takes in a champion ID.

Implements GET `/lol/champion-mastery/v3/champion-masteries/by-summoner/{summonerId}/by-champion/{championId}`.

#### Params:

Name | Type | Attribute | Description
summonerID | number |  | The ID of the summoner.

#### Return:

ChampionMastery.get.inner | The curried function.

### public list(summonerID: number): * source

Get all champion mastery entries sorted by number of champion points descending.

Implements GET `/lol/champion-mastery/v3/champion-masteries/by-summoner/{summonerId}`.

#### Params:

Name | Type | Attribute | Description
summonerID | number |  | The ID of the summoner.

#### Return:

*

### public totalScore(summonerID: number): * source

Get all champion mastery entries sorted by number of champion points descending.

Implements GET `/lol/champion-mastery/v3/scores/by-summoner/{summonerId}`.

#### Params:

Name | Type | Attribute | Description
summonerID | number |  | The ID of the summoner.

#### Return:

*